如何手动安装指定版本的模拟器

如需在 Android Studio 上手动安装指定版本的模拟器,你需要将所需的模拟器软件包内容复制粘贴到 Android SDK 安装目录中,然后更改 package.xml 文件中指定的模拟器版本。具体而言,请按以下步骤操作:

  1. 找到你的 Android SDK 安装目录。此目录的默认位置因平台而异:
    • 在 Windows 上,该目录为 %LocalAppData%\Android\Sdk。这通常可以扩展为 C:\Users\<username>\AppData\Local\Android\Sdk,不过可能会因系统而异。
    • 在 macOS 上,该目录为 $HOME/Library/Android/sdk
    • 在 Linux 上,该目录为 $HOME/Android/Sdk

    你可以打开 Android Studio 并依次点击 Android Studio > Preferences > Appearances & Behavior > System Settings > Android SDK,查看 SDK 安装目录的位置。Android SDK Location 文件路径即是 SDK 安装目录的位置。

    如果你使用的是 macOS,并使用“访达”浏览内容,则默认情况下,Library 文件夹可能不会显示。如需转到该文件夹,请打开“访达”,然后依次点击“前往”>“前往文件夹”并搜索“资源库”。

  2. 重命名 SDK 安装目录中现有的 emulator 目录,因为下一步需要在这里解压缩新下载的 emulator 目录。例如,将其命名为 emulator_original
  3. 解压缩下载的模拟器 ZIP 文件。将内容移到 SDK 安装目录中。
  4. 在 macOS 上:解压缩模拟器 ZIP 文件后,请通过运行以下命令清除模拟器软件包上的“quarantine”属性:

    xattr -dr com.apple.quarantine emulator/

    这样应该可以减少关于应检查还是屏蔽该软件包的消息。

  5. emulator_original 目录中的 package.xml 文件粘贴到新的 emulator 目录中。
  6. package.xml 文件中指定的模拟器版本更改为你已下载的要使用的版本。如需执行此操作,请滚动到 package.xml 文件的底部,然后找到如下文本:

    <revision><major>31</major><minor>1</minor><micro>4</micro></revision>

你可以 去这里 下载想要安装的模拟器版本。

Disclaimer

版权归原作者所有,这里仅做收集整理,欢迎自由转载-非商用-非衍生-保持署名和本网站网址。
46 Comments 去评论
  • adustdu2015 commented on Sat Jul 15 2017

    怎么成了全黑的啦?死气沉沉的,没有活力。

  • inferjay commented on Sat Jul 15 2017

    @adustdu2015 为了纪念前天去世的一个人

  • codedart2018 commented on Tue Jul 18 2017

    @inferjqy 谁去世了

  • inferjay commented on Tue Jul 18 2017

    @myxingke 前两天去世的一个人

  • pdog18 commented on Tue Jul 18 2017

    @inferjay 是我们大家认识的?名字不可说吗?(不好意思可能有点冒昧)

  • codedart2018 commented on Tue Jul 18 2017

    @inferjay 我才学android android的文档在哪儿找来看呢,原来开发PHP的,像PHP都有良好的手册!android不知道在哪儿看。

  • inferjay commented on Tue Jul 18 2017

    @pdog18 13号去世的 LXB

  • inferjay commented on Tue Jul 18 2017

    @myxingke Android SDK 里带的有,在 docs 文件夹里,或者去这里看 https://developer.android.google.cn/index.html

  • pdog18 commented on Tue Jul 18 2017

    @inferjay 哦,翻墙下才知道

  • lisjiang commented on Mon Jul 31 2017

    mac 版adt 下載後,打開eclipse直接“意外退出”,已經有jdk 1.8,環境變量已經配好,還需要配置什麼?

  • inferjay commented on Mon Jul 31 2017

    @lisjiang 建议用 Android Studio ,ADT 官方已经很久不维护了

  • Warchaser commented on Wed Aug 23 2017

    as3.0 beta2版本的插件安装和升级有问题,安装无效。

  • inferjay commented on Wed Aug 23 2017edited
  • Warchaser commented on Wed Aug 23 2017

    @inferjay .ignore插件。beta2版本的插件安装都不好使,无论是as内部提供的插件下载安装还是离线安装。

  • inferjay commented on Wed Aug 23 2017edited
  • Vixb1122 commented on Mon Oct 16 2017

    3.0 RC地址 404 了,这个版本应该是171.4392136 吧,MD5校验截图也不对

  • inferjay commented on Mon Oct 16 2017edited

    @Vixb1122 感谢反馈,问题已修复

  • sylar-kamill commented on Thu Oct 19 2017

    旧的搬瓦工链接已经失效了,这是新的https://bwh1.net/

  • inferjay commented on Thu Oct 19 2017

    @sylar-kamill 好的,感谢反馈

  • leiothrixs commented on Fri Feb 02 2018

    gradle要更新了啊

回到顶部图标